# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Resource types

* [`node_group`](#node_group): The node_group type creates and manages node groups for the PE Node Manager

### Functions

* [`node_groups`](#node_groups)

### Tasks

* [`update_classes`](#update_classes): Kick off update classes

## Resource types

### <a name="node_group"></a>`node_group`

The node_group type creates and manages node groups for the PE Node Manager

#### Properties

The following properties are available in the `node_group` type.

##### `classes`

Classes applied to this group

##### `data`

Data applied to this group

##### `description`

Description of this group

##### `ensure`

Valid values: `present`, `absent`

The basic property that the resource should be in.

Default value: `present`

##### `environment`

Environment for this group

Default value: `production`

##### `id`

The ID of the group

##### `override_environment`

Override parent environments

##### `parent`

The ID of the parent group

##### `rule`

Match conditions for this group

##### `variables`

Variables set this group\'s scope

#### Parameters

The following parameters are available in the `node_group` type.

* [`name`](#-node_group--name)
* [`provider`](#-node_group--provider)
* [`purge_behavior`](#-node_group--purge_behavior)

##### <a name="-node_group--name"></a>`name`

namevar

This is the common name for the node group

##### <a name="-node_group--provider"></a>`provider`

The specific backend to use for this `node_group` resource. You will seldom need to specify this --- Puppet will usually
discover the appropriate provider for your platform.

##### <a name="-node_group--purge_behavior"></a>`purge_behavior`

Valid values: `none`, `data`, `classes`, `rule`, `all`

Whether or not to remove data or class parameters not specified

Default value: `all`

## Functions

### <a name="node_groups"></a>`node_groups`

Type: Ruby 3.x API

The node_groups function.

#### `node_groups()`

The node_groups function.

Returns: `Any`

## Tasks

### <a name="update_classes"></a>`update_classes`

Kick off update classes

**Supports noop?** false

#### Parameters

##### `environment`

Data type: `Optional[String[1]]`

Environment to update

